services:
  rustfs:
    image: ${IMAGE_TAG_LTS}
    environment:
        - RUSTFS_SERVER_DOMAINS=${RUSTFS_SERVER_DOMAINS}
        - RUSTFS_CONSOLE_ENABLE=${RUSTFS_CONSOLE_ENABLE}
        - RUSTFS_SECRET_KEY=${RUSTFS_SECRET_KEY}
        - RUSTFS_ACCESS_KEY=${RUSTFS_ACCESS_KEY}
    volumes:
        - ${Volumes_Path}/data:/data
    ports:
        - '50900:7000'
    container_name: rustfs_container
    restart: always
    command: >
      --address :7000
      --console-enable
      --server-domains ${RUSTFS_SERVER_DOMAINS}
      --access-key ${RUSTFS_ACCESS_KEY}
      --secret-key ${RUSTFS_SECRET_KEY}
      /data
